Magick++: Magick::DrawableBase Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableBase Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableBase:
[legend]

## Public Member Functions
| DrawableBase (void)
virtual | ~DrawableBase (void)
virtual void | operator() (MagickCore::DrawingWand *) const
virtual DrawableBase * | copy () const

## Detailed Description

Definition at line 97 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableBase()

Magick::DrawableBase::DrawableBase | ( | void |  | ) |

Definition at line 61 of file Drawable.cpp.

## ◆ ~DrawableBase()

Magick::DrawableBase::~DrawableBase | ( | void |  | ) |
| virtual

Definition at line 65 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableBase::copy | ( |  | ) | const
| virtual

Reimplemented in Magick::DrawableViewbox, Magick::DrawableTranslation, Magick::DrawableTextUnderColor, Magick::DrawableTextKerning, Magick::DrawableTextInterwordSpacing, Magick::DrawableTextInterlineSpacing, Magick::DrawableTextDirection, Magick::DrawableTextDecoration, Magick::DrawableTextAntialias, Magick::DrawableTextAlignment, Magick::DrawableText, Magick::DrawableStrokeWidth, Magick::DrawableStrokeOpacity, Magick::DrawableStrokeColor, Magick::DrawableStrokeAntialias, Magick::DrawableStrokePatternUrl, Magick::DrawableMiterLimit, Magick::DrawableStrokeLineJoin, Magick::DrawableStrokeLineCap, Magick::DrawableStrokeDashOffset, Magick::DrawableStrokeDashArray, Magick::DrawableSkewY, Magick::DrawableSkewX, Magick::DrawableScaling, Magick::DrawableRoundRectangle, Magick::DrawableRotation, Magick::DrawableRectangle, Magick::DrawablePushPattern, Magick::DrawablePopPattern, Magick::DrawablePushGraphicContext, Magick::DrawablePopGraphicContext, Magick::DrawablePolyline, Magick::DrawablePolygon, Magick::DrawablePointSize, Magick::DrawablePoint, Magick::DrawablePath, Magick::DrawableLine, Magick::DrawableGravity, Magick::DrawableFont, Magick::DrawableFillOpacity, Magick::DrawableFillRule, Magick::DrawableFillPatternUrl, Magick::DrawableFillColor, Magick::DrawableEllipse, Magick::DrawableDensity, Magick::DrawableCompositeImage, Magick::DrawableColor, Magick::DrawableCircle, Magick::DrawableClipPath, Magick::DrawablePushClipPath, Magick::DrawablePopClipPath, Magick::DrawableClipUnits, Magick::DrawableClipRule, Magick::DrawableBorderColor, Magick::DrawableBezier, Magick::DrawableArc, Magick::DrawableAlpha, and Magick::DrawableAffine.

Definition at line 74 of file Drawable.cpp.

Referenced by Magick::Drawable::operator=().

## ◆ operator()()

void Magick::DrawableBase::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented in Magick::DrawableViewbox, Magick::DrawableTranslation, Magick::DrawableTextUnderColor, Magick::DrawableTextKerning, Magick::DrawableTextInterwordSpacing, Magick::DrawableTextInterlineSpacing, Magick::DrawableTextDirection, Magick::DrawableTextDecoration, Magick::DrawableTextAntialias, Magick::DrawableTextAlignment, Magick::DrawableText, Magick::DrawableStrokeWidth, Magick::DrawableStrokeOpacity, Magick::DrawableStrokeColor, Magick::DrawableStrokeAntialias, Magick::DrawableStrokePatternUrl, Magick::DrawableMiterLimit, Magick::DrawableStrokeLineJoin, Magick::DrawableStrokeLineCap, Magick::DrawableStrokeDashOffset, Magick::DrawableStrokeDashArray, Magick::DrawableSkewY, Magick::DrawableSkewX, Magick::DrawableScaling, Magick::DrawableRoundRectangle, Magick::DrawableRotation, Magick::DrawableRectangle, Magick::DrawablePushPattern, Magick::DrawablePopPattern, Magick::DrawablePushGraphicContext, Magick::DrawablePopGraphicContext, Magick::DrawablePolyline, Magick::DrawablePolygon, Magick::DrawablePointSize, Magick::DrawablePoint, Magick::DrawablePath, Magick::DrawableLine, Magick::DrawableGravity, Magick::DrawableFont, Magick::DrawableFillOpacity, Magick::DrawableFillRule, Magick::DrawableFillPatternUrl, Magick::DrawableFillColor, Magick::DrawableEllipse, Magick::DrawableDensity, Magick::DrawableCompositeImage, Magick::DrawableColor, Magick::DrawableCircle, Magick::DrawableClipPath, Magick::DrawablePushClipPath, Magick::DrawablePopClipPath, Magick::DrawableClipUnits, Magick::DrawableClipRule, Magick::DrawableBorderColor, Magick::DrawableBezier, Magick::DrawableArc, Magick::DrawableAlpha, and Magick::DrawableAffine.

Definition at line 69 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp